Name:           wss4j 
Version:        1.6.17
Release:        %mkrel 1
Summary:        Apache WS-Security implementation
Group:          Development/Java
License:        ASL 2.0
URL:            http://ws.apache.org/wss4j/
Source0:        http://archive.apache.org/dist/ws/wss4j/1_6_10/wss4j-src-%{version}.zip

BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(log4j:log4j)
BuildRequires:  mvn(net.shibboleth:parent)
BuildRequires:  mvn(org.apache.santuario:xmlsec)
BuildRequires:  mvn(org.bouncycastle:bcprov-jdk16)
BuildRequires:  mvn(org.opensaml:opensaml)
BuildRequires:  mvn(org.slf4j:slf4j-log4j12)
BuildRequires:  mvn(xalan:xalan)
BuildRequires:  mvn(xerces:xercesImpl)
BuildRequires:  mvn(xml-apis:xml-apis)
BuildRequires:  dos2unix
BuildRequires:  maven-local
BuildRequires:  maven-shared
BuildRequires:  maven-remote-resources-plugin
BuildRequires:  apache-resource-bundles
BuildRequires:  maven-surefire-provider-junit4

BuildRequires:  plexus-pom
BuildRequires:  plexus-components-pom

BuildArch:      noarch

%description
The Apache WSS4J project provides a Java implementation of the
primary security standards for Web Services. 

%package javadoc
Summary: Javadoc for %{name}
Group:   Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

sed -i "s|bcprov-jdk15on|bcprov-jdk16|" pom.xml

# This plugin does not impact the build, and it currently raises this error:
# Reporting mojo's can only be called from ReportDocumentRender
%pom_remove_plugin "org.apache.maven.plugins:maven-pmd-plugin"

dos2unix NOTICE

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc ChangeLog.txt NOTICE LICENSE.txt README.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE



%changelog
* Wed Dec 24 2014 luigiwalser <luigiwalser> 1.6.17-1.mga4
+ Revision: 805499
- 1.6.17 (fixes CVE-2014-3623)
- sync with fedora 20

* Fri Jan 03 2014 dmorgan <dmorgan> 1.6.10-3.mga4
+ Revision: 564021
- Rebuild against fixed owasp-esapi-java

* Tue Oct 22 2013 umeabot <umeabot> 1.6.10-2.mga4
+ Revision: 541305
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 1.6.10-1.mga4
+ Revision: 495481
- New version

* Mon Jan 14 2013 umeabot <umeabot> 1.6.7-2.mga3
+ Revision: 385880
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 dmorgan <dmorgan> 1.6.7-1.mga3
+ Revision: 330643
- imported package wss4j

